Get Deposit Bank Account

GEThttps://bank.dattaremit.com/api/deposit_bank_accounts/{deposit_bank_account_guid}

Requires a bank-scoped key.

Retrieves a deposit bank account.

Required scope: deposit_bank_accounts:read

Path Params

deposit_bank_account_guidstringrequired

Identifier for the deposit bank account.

Responses

200

deposit bank account found

401

Unauthorized - Authentication failed

403

Invalid scope

404

deposit_bank_account not found

Request

curl https://api.dattaremit.com/api/deposit_bank_accounts/{deposit_bank_account_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

deposit bank account found

{
  "guid": "string",
  "name": "string",
  "type": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "account_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "deleted_at": "2026-07-20T16:27:51.438Z",
  "asset": "string",
  "state": "string",
  "unique_memo_id": "string",
  "counterparty_name": "string",
  "counterparty_address": {
    "street": "string",
    "street2": "string",
    "city": "string",
    "subdivision": "string",
    "postal_code": "string",
    "country_code": "string"
  },
  "account_details": [
    {
      "account_number": "string"
    }
  ],
  "routing_details": [
    {
      "routing_number_type": "string",
      "routing_number": "string"
    }
  ],
  "parent_deposit_bank_account_guid": "string",
  "labels": [
    "string"
  ]
}